[postgis-tickets] r15366 - PDF manual from dblatex renders fancy quotes for programlisting

Regina Obe lr at pcorp.us
Tue Apr 25 00:02:38 PDT 2017


Author: robe
Date: 2017-04-25 00:02:38 -0700 (Tue, 25 Apr 2017)
New Revision: 15366

Added:
   trunk/astyle
Modified:
   trunk/doc/Makefile.in
Log:
PDF manual from dblatex renders fancy quotes for programlisting
Change to use regular quotes
patch from Mike Toews
Closes #3726 for PostGIS 2.4 (trunk)

Added: trunk/astyle
===================================================================
--- trunk/astyle	                        (rev 0)
+++ trunk/astyle	2017-04-25 07:02:38 UTC (rev 15366)
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Run astyle on the code base ready for release
+
+# If astyle doesn't exist, exit the script and do nothing
+which astyle > /dev/null
+RET=$?
+if [ $RET -ne 0 ]; then
+	echo "Could not find astyle - aborting."
+	exit
+fi
+
+
+RET=`astyle --version 2>&1`
+if [ "$RET" != "Artistic Style Version 1.23" ]; then
+	echo "Only 1.23 astyle version is 'allowed'"
+	exit
+fi
+
+# Find all "pure" C files in the codebase
+#   - not .in.c used for .sql generation
+#   - not lex.yy.c or wktparse.tab.c as these are generated files
+CFILES=`find . -name '*.c' -not \( -name '*_parse.c' -o -name '*_lex.c' \)`
+
+# Run the standard format on the files, and do not
+# leave .orig files around for altered files.
+astyle --style=ansi --indent=tab --suffix=none $CFILES

Modified: trunk/doc/Makefile.in
===================================================================
--- trunk/doc/Makefile.in	2017-04-25 06:02:12 UTC (rev 15365)
+++ trunk/doc/Makefile.in	2017-04-25 07:02:38 UTC (rev 15366)
@@ -276,6 +276,7 @@
 		   -P figure.warning="${PWD}/html/images/warning" \
 		   -P figure.caution="${PWD}/html/images/caution" \
 		   -P latex.output.revhistory=0 \
+		   -s texstyle \
 		   -o postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf $<; \
 	fi
 	



More information about the postgis-tickets mailing list